Integrations

Get a connection

GET
/integrations/connections/{connection_id}

Return one of the caller's connections with status, setup state, contract digest and 30-day usage statistics.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000"
{  "id": "123e4567-e89b-42d3-a456-426614174000",  "provider_key": "klaviyo",  "auth_scheme": "example",  "label": "Customer documents",  "external_identity": "example",  "public_config": {},  "status": "ACTIVE",  "enabled": false,  "safe_error_code": "example",  "test_summary": {},  "provider_contract_digest": "example",  "last_tested_at": "example",  "created_at": "example",  "updated_at": "example",  "setup_required": false,  "offered_operations": [],  "scope": {}}